## ShellWM ShellWM |

## Functions

ShellWM * | shell_wm_new ()
void | shell_wm_completed_minimize ()
void | shell_wm_completed_unminimize ()
void | shell_wm_completed_maximize ()
void | shell_wm_completed_unmaximize ()
void | shell_wm_completed_map ()
void | shell_wm_completed_destroy ()
void | shell_wm_completed_switch_workspace ()
void | shell_wm_complete_display_change ()

## Signals

void | confirm-display-change | Run Last
void | destroy | Run Last
gboolean | filter-keybinding | Run Last
void | hide-tile-preview | Run Last
void | kill-switch-workspace | Run Last
void | kill-window-effects | Run Last
void | map | Run Last
void | maximize | Run Last
void | minimize | Run Last
void | show-tile-preview | Run Last
void | show-window-menu | Run Last
void | switch-workspace | Run Last
void | unmaximize | Run Last
void | unminimize | Run Last

## Object Hierarchy

        GObject
        ╰── ShellWM

## Description

## Functions

### shell_wm_new ()

    ShellWM *
    shell_wm_new (MetaPlugin *plugin);

Creates a new window management interface by hooking into `plugin` .

#### Parameters

plugin | the MetaPlugin |

#### Returns

the new window-management interface

### shell_wm_completed_minimize ()

    void
    shell_wm_completed_minimize (ShellWM *wm,
                                 MetaWindowActor *actor);

The plugin must call this when it has completed a window minimize effect.

#### Parameters

wm | the ShellWM |
actor | the MetaWindowActor actor |

### shell_wm_completed_unminimize ()

    void
    shell_wm_completed_unminimize (ShellWM *wm,
                                   MetaWindowActor *actor);

The plugin must call this when it has completed a window unminimize effect.

#### Parameters

wm | the ShellWM |
actor | the MetaWindowActor actor |

### shell_wm_completed_maximize ()

    void
    shell_wm_completed_maximize (ShellWM *wm,
                                 MetaWindowActor *actor);

The plugin must call this when it has completed a window maximize effect.

#### Parameters

wm | the ShellWM |
actor | the MetaWindowActor actor |

### shell_wm_completed_unmaximize ()

    void
    shell_wm_completed_unmaximize (ShellWM *wm,
                                   MetaWindowActor *actor);

The plugin must call this when it has completed a window unmaximize effect.

#### Parameters

wm | the ShellWM |
actor | the MetaWindowActor actor |

### shell_wm_completed_map ()

    void
    shell_wm_completed_map (ShellWM *wm,
                            MetaWindowActor *actor);

The plugin must call this when it has completed a window map effect.

#### Parameters

wm | the ShellWM |
actor | the MetaWindowActor actor |

### shell_wm_completed_destroy ()

    void
    shell_wm_completed_destroy (ShellWM *wm,
                                MetaWindowActor *actor);

The plugin must call this when it has completed a window destroy effect.

#### Parameters

wm | the ShellWM |
actor | the MetaWindowActor actor |

### shell_wm_completed_switch_workspace ()

    void
    shell_wm_completed_switch_workspace (ShellWM *wm);

The plugin must call this when it has finished switching the workspace.

#### Parameters

wm | the ShellWM |

### shell_wm_complete_display_change ()

    void
    shell_wm_complete_display_change (ShellWM *wm,
                                      gboolean ok);

The plugin must call this after the user responded to the confirmation dialog.

#### Parameters

wm | the ShellWM |
ok | if the new configuration was OK |

## Types and Values

## Signal Details

### The `“confirm-display-change”` signal

    void
    user_function (ShellWM *shellwm,
                   gpointer user_data)

Flags: Run Last

### The `“destroy”` signal

    void
    user_function (ShellWM         *shellwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“filter-keybinding”` signal

    gboolean
    user_function (ShellWM        *shellwm,
                   MetaKeyBinding *arg1,
                   gpointer        user_data)

Flags: Run Last

### The `“hide-tile-preview”` signal

    void
    user_function (ShellWM *shellwm,
                   gpointer user_data)

Flags: Run Last

### The `“kill-switch-workspace”` signal

    void
    user_function (ShellWM *shellwm,
                   gpointer user_data)

Flags: Run Last

### The `“kill-window-effects”` signal

    void
    user_function (ShellWM         *shellwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“map”` signal

    void
    user_function (ShellWM         *shellwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“maximize”` signal

    void
    user_function (ShellWM         *shellwm,
                   MetaWindowActor *arg1,
                   gint             arg2,
                   gint             arg3,
                   gint             arg4,
                   gint             arg5,
                   gpointer         user_data)

Flags: Run Last

### The `“minimize”` signal

    void
    user_function (ShellWM         *shellwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“show-tile-preview”` signal

    void
    user_function (ShellWM       *shellwm,
                   MetaWindow    *arg1,
                   MetaRectangle *arg2,
                   gint           arg3,
                   gpointer       user_data)

Flags: Run Last

### The `“show-window-menu”` signal

    void
    user_function (ShellWM       *shellwm,
                   MetaWindow    *arg1,
                   gint           arg2,
                   MetaRectangle *arg3,
                   gpointer       user_data)

Flags: Run Last

### The `“switch-workspace”` signal

    void
    user_function (ShellWM *shellwm,
                   gint     arg1,
                   gint     arg2,
                   gint     arg3,
                   gpointer user_data)

Flags: Run Last

### The `“unmaximize”` signal

    void
    user_function (ShellWM         *shellwm,
                   MetaWindowActor *arg1,
                   gint             arg2,
                   gint             arg3,
                   gint             arg4,
                   gint             arg5,
                   gpointer         user_data)

Flags: Run Last

### The `“unminimize”` signal

    void
    user_function (ShellWM         *shellwm,
                   MetaWindowActor *arg1,
                   gpointer         user_data)

Flags: Run Last